/* .app-body-background-image {
  background-image: url("/assets/img/login_background_image.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
} */

.app-body-wrapper {
  display: grid;
  height: 100vh;
  width: 100%;

  .left-col {
    flex: 1;
    background-image: url("/assets/img/login_background_image.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    @media only screen and (max-width: 768px) {
      display: none;
    }
  }
  .right-col {
    /* flex: 1;
    background-color: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px; */
  }
}

.layout-navbar-fixed .wrapper .content-wrapper {
  margin-top: calc(2.5rem + 1px) !important;
}

.app-title-icon {
  padding-right: 10px;
}

.app-title,
.app-title-add-button {
  margin-left: 20px;
  margin-top: 6px;
}

.app-question-button {
  vertical-align: 4px;
  font-size: 14px;
  border: 0;
  padding-left: 0px;
  padding-right: 10px;
  padding-bottom: 15px;
  margin-top: -4px;
  background: none;
}

.app-question-button:focus {
  outline: 0;
}

.app-help-information {
  margin-bottom: 10px;
  font-size: 10pt;
  background-color: #eaecef;
  padding-left: 15px;
  padding-right: 15px;
  padding-top: 10px;
  padding-bottom: 10px;
  display: flex;
  justify-content: space-between;
}

.app-help-information p {
  margin-bottom: 0px;
  padding-right: 10px;
  color: #666;
}

.app-help-dismiss-button {
  border: 0;
  background: none;
  padding-right: 0px;
}

.app-need-client-note {
  color: #666;
  font-size: 10pt;
}

.nav-sidebar .nav-header:not(:first-of-type) {
  padding: 0.7rem 1rem 0.5rem !important;
}

.nav-sidebar .nav-header:not(:first-of-type) {
  font-weight: bold;
}

/*Orders and Estimate*/
.containerCheckbox {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.containerCheckbox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: #eee;
  border: 1px solid black;
}

/* On mouse-over, add a grey background color */
.containerCheckbox:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.containerCheckbox input:checked ~ .checkmark {
  background-color: #2196f3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.containerCheckbox input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.containerCheckbox .checkmark:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.flex-container {
  display: flex;
}

.flex-child {
  flex: 1;
}

.flex-child:first-child {
  margin-right: 20px;
}

/***********************Mobile*************************************/
@media only screen and (max-width: 760px),
  (min-device-width: 768px) and (max-device-width: 1024px) {
  table[mobiletable] {
    width: 100%;
  }

  table[mobiletable] thead {
    display: none;
  }

  table[mobiletable] td {
    padding: 8px 8px;
  }

  table[mobiletable] tr {
    margin-bottom: 8px;
  }
  table[mobiletable] tr:after {
    display: block;
    content: "";
    border-bottom: 30px solid #fff;
  }

  table[mobiletable] td {
    display: flex;
  }

  table[mobiletable] td::before {
    content: attr(label);
    font-weight: bold;
    width: 120px;
    min-width: 120px;
  }
  .menu-hide-mobile {
    display: none;
  }
}

.active_link {
  font-weight: bolder;
}
.nav-link_top i {
  padding: 0px 0px 0px 0px;
}
.nav-link_top {
  margin: 0px 0px 0px 15px;
  color: rgba(0, 0, 0, 0.5);
}
fieldset.scheduler-border {
  border: 1px groove #ddd !important;
  padding: 0 1.4em 1.4em 1.4em !important;
  margin: 0 0 1.5em 0 !important;
  -webkit-box-shadow: 0px 0px 0px 0px #000;
  box-shadow: 0px 0px 0px 0px #000;
}

legend.scheduler-border {
  font-size: 1.2em !important;
  font-weight: bold !important;
  text-align: left !important;
  width: auto;
  padding: 0 10px;
  border-bottom: none;
}

.modal.modal-left .modal-dialog,
.modal.modal-right .modal-dialog {
  max-width: 60%;
  min-height: calc(100vh - 0px);
}
.modal-footer button {
  width: 30%;
  margin: auto;
}
@media (min-width: 320px) {
  .modal.modal-left .modal-dialog,
  .modal.modal-right .modal-dialog {
    max-width: 100%;
  }
}
@media (min-width: 480px) {
  .modal.modal-left .modal-dialog,
  .modal.modal-right .modal-dialog {
    max-width: 60%;
  }
}
@media (min-width: 600px) {
  .modal.modal-left .modal-dialog,
  .modal.modal-right .modal-dialog {
    max-width: 60%;
  }
}
@media (min-width: 801px) {
  .modal.modal-left .modal-dialog,
  .modal.modal-right .modal-dialog {
    max-width: 60%;
  }
}

.modal.modal-left.show .modal-dialog,
.modal.modal-right.show .modal-dialog {
  transform: translate(0, 0);
}
.modal.modal-left .modal-content,
.modal.modal-right .modal-content {
  height: calc(100vh - 0px);
  overflow-y: auto;
}
.modal.modal-left .modal-dialog {
  transform: translate(-100%, 0);
  margin: 0px auto 0 0;
}
.modal.modal-right .modal-dialog {
  transform: translate(100%, 0);
  margin: 0px 0 0 auto;
}
.modal-full {
  min-width: 100%;
  margin: 0;
}

.modal-full .modal-content {
  min-height: 100vh;
}

.ngx-spinner-icon {
  position: fixed;
  top: 10%;
  left: 50%;
}

.form-control-sm {
  height: calc(2.3rem + 2px) !important;
  transition: opacity 150ms 0ms cubic-bezier(0.4, 0, 0.2, 1) !important;
}
.modal {
  z-index: 1055 !important;
}

.custom-switch {
  display: flex;
  gap: 10px;
  padding-left: 0;
  margin-top: 10px;
}

.custom-switch input {
  display: none;
}

.switch-label {
  width: 50px;
  height: 25px;
  background-color: #ccc;
  border-radius: 25px;
  position: relative;
  cursor: pointer;
  transition: background-color 0.3s ease-in-out;
  display: inline-block;
}

.switch-label::before {
  content: "";
  width: 20px;
  height: 20px;
  background: white;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 5px;
  transform: translateY(-50%);
  transition: all 0.3s ease-in-out;
}

.custom-switch input:checked + .switch-label {
  background-color: #007bff;
}

.custom-switch input:checked + .switch-label::before {
  left: 25px;
}

.switch-text {
  font-weight: 500;
  color: #333;
}

